Decide audit trigger
POST
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidtrigger_id*Trigger IdFormat
uuidapplication/json- body
action*ActionValue in
"approve_replace""run_after_current""reject"reason*ReasonLength
3 <= length <= 1000Successful Response
application/json- response
actor_login*string|nullapproved_at*|nullapproved_by*|nullbranch_ref*Branch Refchanged_paths*array<string>conflicting_audit_id*|nullcorrelation_id*Correlation Idcreated_at*Created AtFormat
date-timedecided_at*Decided AtFormat
date-timedecision*Decisiondecision_reason*Decision Reasonevent_type*Event Typeid*IdFormat
uuidlinked_audit_id*|nullpolicy_id*|nullpolicy_version*Policy Versionprovider*Providerprovider_delivery_id*string|nullreason*Reasonrepository_id*Repository IdFormat
uuidrevision*Revisionschedule_id*|nullupdated_at*Updated AtFormat
date-timeworkspace_id*Workspace IdFormat
uuidcurl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/audit-triggers/497f6eca-6276-4993-bfeb-53cbbbba6f08/decision' \ -H 'Content-Type: application/json' \ -d '{ "action": "approve_replace", "reason": "string"}'Example Response
{ "actor_login": "string", "approved_at": "2019-08-24T14:15:22Z", "approved_by": "02030314-b162-4b4d-8af1-88eabdcc615d", "branch_ref": "string", "changed_paths": [ "string" ], "conflicting_audit_id": "d71e2b44-0b7d-409b-8541-639253fd5491", "correlation_id": "string", "created_at": "2019-08-24T14:15:22Z", "decided_at": "2019-08-24T14:15:22Z", "decision": "string", "decision_reason": "string", "event_type": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "linked_audit_id": "934f7979-3be2-4ed2-86ec-146dfa66fd0b", "policy_id": "ee9b03e0-6495-427a-85a5-34444d24ae04", "policy_version": 0, "provider": "string", "provider_delivery_id": "string", "reason": "string", "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3", "revision": "string", "schedule_id": "8929bb67-0da1-406c-99d2-5447376a4f58", "updated_at": "2019-08-24T14:15:22Z", "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}